#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Tk
%define		pnam	TableMatrix
Summary:	Tk::TableMatrix - a table/matrix widget extension to Perl/Tk
Summary(pl.UTF-8):	TK::TableMatrix - rozszerzenie dodające widget tabeli/macierzy do Perla/Tk
Name:		perl-Tk-TableMatrix
Version:	1.23
Release:	5
# same as perl
License:	GPL v1+ or Artistic / distributable (pTK library)
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Tk/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6b7653d129bf1a8327054a88b58d6364
URL:		http://search.cpan.org/dist/Tk-TableMatrix/
BuildRequires:	perl-Tk-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tk::TableMatrix is a table/matrix widget extension to Perl/Tk for
displaying data in a table (or spreadsheet) format.

%description -l pl.UTF-8
Tk::TableMatrix to rozszerzenie dodające widget tabeli/macierzy do
Perla/Tk do wyświetlania danych w formacie tabeli lub arkusza.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	X11LIB=%{_prefix}/X11R6/%{_lib} \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog Changes README COPYING pTk/license.terms
%{perl_vendorarch}/Tk/*.pm
%dir %{perl_vendorarch}/Tk/TableMatrix
%{perl_vendorarch}/Tk/TableMatrix/Spreadsheet.pm
%{perl_vendorarch}/Tk/TableMatrix/SpreadsheetHideRows.pm
%dir %{perl_vendorarch}/auto/Tk/TableMatrix
%{perl_vendorarch}/auto/Tk/TableMatrix/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Tk/TableMatrix/*.so
%{_mandir}/man3/*
# to -devel? rm -rf as already in perl-Tk?
#%{perl_vendorarch}/Tk/pTk/mm.h
#%{perl_vendorarch}/Tk/pTk/tkTable.h
#%{perl_vendorarch}/Tk/pTk/tkTableversion.h
#%{perl_vendorarch}/Tk/pTk/version.h
#%{perl_vendorarch}/auto/Tk/pTk/extralibs.ld
%changelog
* Mon Sep 15 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Tk-TableMatrix.git;a=log;h=master

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 5284f2a
- rel 5

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 5c3f5b6
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 3f874c4
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> d0d1a88
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 130c337
- release 2

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 31364b8
- updated to 1.23

* Tue Mar 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 31cc957
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 39334ce
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 4313d34
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b452023
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f1a4838
- converted to UTF-8

* Sat Oct 21 2006 ankry <ankry@pld-linux.org> 67f285c
- ver. 1.22

* Sun Dec 25 2005 Elan Ruusamäe <glen@pld-linux.org> f67a307
- need perl-Tk-devel

* Sat Sep 24 2005 Elan Ruusamäe <glen@pld-linux.org> 46675ab
- License update (smb pls recheck?)

* Mon Sep 05 2005 Jakub Bogusz <qboosh@pld-linux.org> c9cca68
- pl

* Mon Sep 05 2005 Elan Ruusamäe <glen@pld-linux.org> 03e591c
- rel 2 for fixed missing autosplit.ix

* Mon Sep 05 2005 Elan Ruusamäe <glen@pld-linux.org> 58fd082
- add autosplit.ix to package

* Mon Sep 05 2005 Elan Ruusamäe <glen@pld-linux.org> b9d093f
- fix for amd64 build, typo

* Mon Sep 05 2005 Elan Ruusamäe <glen@pld-linux.org> e9f068f
- new

